# Interface FeatureViewInterface<R, L>

#### Type Parameters

- #### R

- #### L

#### Hierarchy

- FeatureViewInterface

- Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:31

#####
Index

### Properties

boardConfig
boardId?
rowConfig
sequenceElementClickCallback
sequenceHoverCallback
sequenceSelectionChangeCallback
structureHoverCallback
structureSelectionCallback

## Properties

### boardConfig

boardConfig: RcsbFvBoardConfigInterface

- Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:33

### `Optional` boardId

boardId?: string

- Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:32

### rowConfig

rowConfig: RcsbFvRowConfigInterface[]

- Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:34

### sequenceElementClickCallback

sequenceElementClickCallback: ((plugin, stateManager, d?) => void)

#### Type declaration

- - (plugin, stateManager, d?): void

  - #### Parameters

    - ##### plugin: StructureViewerPublicInterface<R, L>

    - ##### stateManager: RcsbFvStateInterface

    - ##### `Optional` d: RcsbFvTrackDataElementInterface

    #### Returns void

- Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:36

### sequenceHoverCallback

sequenceHoverCallback: ((plugin, stateManager, hoverRegion) => void)

#### Type declaration

- - (plugin, stateManager, hoverRegion): void

  - #### Parameters

    - ##### plugin: StructureViewerPublicInterface<R, L>

    - ##### stateManager: RcsbFvStateInterface

    - ##### hoverRegion: RcsbFvTrackDataElementInterface[]

    #### Returns void

- Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:37

### sequenceSelectionChangeCallback

sequenceSelectionChangeCallback: ((plugin, stateManager, sequenceRegion) => void)

#### Type declaration

- - (plugin, stateManager, sequenceRegion): void

  - #### Parameters

    - ##### plugin: StructureViewerPublicInterface<R, L>

    - ##### stateManager: RcsbFvStateInterface

    - ##### sequenceRegion: RcsbFvTrackDataElementInterface[]

    #### Returns void

- Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:35

### structureHoverCallback

structureHoverCallback: ((plugin, pfv, stateManager) => void)

#### Type declaration

- - (plugin, pfv, stateManager): void

  - #### Parameters

    - ##### plugin: StructureViewerPublicInterface<R, L>

    - ##### pfv: RcsbFv<{}, {}, {}, {}>

    - ##### stateManager: RcsbFvStateInterface

    #### Returns void

- Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:39

### structureSelectionCallback

structureSelectionCallback: ((plugin, pfv, stateManager) => void)

#### Type declaration

- - (plugin, pfv, stateManager): void

  - #### Parameters

    - ##### plugin: StructureViewerPublicInterface<R, L>

    - ##### pfv: RcsbFv<{}, {}, {}, {}>

    - ##### stateManager: RcsbFvStateInterface

    #### Returns void

- Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:38

Generated using TypeDoc